Summary:	Tool for creating fonts.dir for TrueType fonts
Summary(pl.UTF-8):	Narzędzie do tworzenia plików fonts.dir dla fontów TrueType
Name:		ttmkfdir
Version:	3.0.9
Release:	2
Epoch:		1
License:	LGPL v2+
Group:		Applications/File
Source0:	ftp://ftp.debian.org//debian/pool/main/t/ttmkfdir/%{name}_%{version}.orig.tar.gz
# Source0-md5:	c22b8b7f8401fd924200c8e0e04a78f9
Source1:	%{name}2.1
Patch0:		%{name}-3.0.9-cpp.patch
Patch1:		%{name}-3.0.9-zlib.patch
Patch2:		%{name}-3.0.9-fix-freetype217.patch
Patch3:		%{name}-3.0.9-namespace.patch
Patch4:		%{name}-3.0.9-fix-crash.patch
Patch5:		%{name}-3.0.9-warnings.patch
Patch6:		%{name}-3.0.9-segfaults.patch
Patch7:		%{name}-3.0.9-encoding-dir.patch
Patch8:		%{name}-3.0.9-font-scale.patch
Patch9:		%{name}-3.0.9-bug434301.patch
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
Provides:	ttmkfdir2
Obsoletes:	ttmkfdir2
# our freetype1 < 1.3.1-4 (formerly freetype-1.x.x) contained old ttmkfdir
Conflicts:	freetype < 2.0.1
Conflicts:	freetype1 < 1.3.1-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program creates 'font.dir' files for TrueType fonts. These files
are required if you want to use TrueType fonts with X Window.

%description -l pl.UTF-8
Ten program tworzy pliki 'font.dir' dla fontów TrueType. Są one
potrzebne, aby móc korzystać z fontów TrueType w X Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	DEBUG= \
	OPTFLAGS="%{rpmcxxflags} %{rpmcppflags}" \
	LDFLAGS='%{rpmldflags} $(FREETYPE_LIB) -lz'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/ttmkfdir.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ttmkfdir.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d316a7b
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 204e3c6
- BR: zlib-devel
- updated *FLAGS passing, now as-needed is in use
- package README

* Tue Sep 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a0507f2
- update to 3.0.9 (from debian) + patches (from fedora)

* Thu Apr 01 2010 pawelz <pawelz@pld-linux.org> 089c4af
- fix build on x86_64 (lib -> lib64)

* Thu Apr 01 2010 pawelz <pawelz@pld-linux.org> b14a256
- added patch: #include <string.h> (thx sparky)
- verbose %files

* Thu Apr 01 2010 pawelz <pawelz@pld-linux.org> 37c5c63
- added URL
- working Source0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 30463e2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3996031
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 11a4bc8
- orphaned, outdated

* Sat Jun 25 2005 pascalek <pascalek@pld-linux.org> e922b5f
- update to 2.20021109

* Mon Apr 04 2005 Elan Ruusamäe <glen@pld-linux.org> 6d42495
- BR: libtool, but fails anyway

* Sat Sep 25 2004 radek <radek@pld-linux.org> dd11488
- cosmetics (spaces -> tabs)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 174ff0d
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c630058
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Oct 04 2002 Jakub Bogusz <qboosh@pld-linux.org> 0e8bc36
- nofileswithspaces patch - ignore fonts which filenames contain spaces - they
  would break fonts.dir
- release 5

* Wed Oct 02 2002 Jakub Bogusz <qboosh@pld-linux.org> 7f05366
- fixed Source names, fixed build, added "2." to version
-  Epoch=1 (no strict relation between "none" and current version)

* Mon Sep 30 2002 marcus <marcus@pld-linux.org> 2e0cc75
- merge ttmkfdir2.spec into ttmkfdir.spec
(now we use freetype-2 version)

* Fri Jul 05 2002 marcus <marcus@pld-linux.org> 02328e1
- use new %%doc
- rel.3.

* Thu May 30 2002 Jakub Bogusz <qboosh@pld-linux.org> c12c8e7
- updated freetype2-port+cjk patch from rawhide (to work with gcc 3.1 or so?)
- added man page from ttmkfdir (with changes to reflect ttmkfdir2 options)
- added encodings patch (to fix parsing some *.enc and segfault on gbk-0.enc)
- release 2, STBR

* Sun Apr 21 2002 kloczek <kloczek@pld-linux.org> 173e038
- fixed %files.

